<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components 
        PUBLIC "-//AJAX4JSF//CDK Generator config/EN"
        "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" [
<!ENTITY universal_html_attributes   SYSTEM "html_universal_attributes.xml">	
]>

<components>
     	<component>
		<name>org.ajax4jsf.Log</name>
		<family>org.ajax4jsf.Log</family>
		<classname>org.ajax4jsf.component.html.AjaxLog</classname>
		<superclass>org.ajax4jsf.component.UIAjaxLog</superclass>
		<test />
		<description>
			<![CDATA[
		Encode javaScript to open popup window with client-side Log information.
		]]>
		</description>
		<renderer generate="true">
			<name>org.ajax4jsf.LogRenderer</name>
			<template>org/ajax4jsf/renderkit/html/log.jspx</template>
		</renderer>
		<tag>
			<name>log</name>
			<classname>org.ajax4jsf.taglib.html.jsp.LogTag</classname>
			<superclass>
				org.ajax4jsf.webapp.taglib.UIComponentTagBase
			</superclass>
			<test />
			<displayname>pop-up window with request log</displayname>
			<icon>icon</icon>
		</tag>
		&ui_component_attributes;
		<property>
			<name>hotkey</name>
			<classname>java.lang.String</classname>
			<description>
				Keyboard key for activate ( in combination with
				CTRL+SHIFT ) log window.
			</description>
			<defaultvalue>"L"</defaultvalue>
		</property>
		<property>
			<name>name</name>
			<classname>java.lang.String</classname>
			<description>name of pop-up window</description>
			<defaultvalue>"LogWindow"</defaultvalue>
		</property>
		<property>
			<name>level</name>
			<classname>java.lang.String</classname>
			<description>
				log level, possible values :
				FATAL,ERROR,WARN,INFO,DEBUG,ALL.
				Component set level 'ALL' by default.
			</description>
			<defaultvalue>"ALL"</defaultvalue>
		</property>
		<property>
			<name>width</name>
			<classname>java.lang.String</classname>
			<description>width of pop-up.</description>
			<defaultvalue>"800"</defaultvalue>
		</property>
		<property>
			<name>height</name>
			<classname>java.lang.String</classname>
			<description>height of pop-up</description>
			<defaultvalue>"600"</defaultvalue>
		</property>
		<property>
			<name>popup</name>
			<classname>boolean</classname>
			<description>
				Render log as popup-window or as div element in page
			</description>
			<defaultvalue>true</defaultvalue>
		</property>
	</component>     
</components>